Bug 1470173 (CVE-2017-9988, CVE-2017-9989) - CVE-2017-9988 CVE-2017-9989 ming: Multiple vulnerabilities
Summary: CVE-2017-9988 CVE-2017-9989 ming: Multiple vulnerabilities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9988, CVE-2017-9989
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170623,reported=2...
Depends On: 1470174
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-12 13:36 UTC by Andrej Nemec
Modified: 2019-06-08 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 21:14:50 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-07-12 13:36:56 UTC
CVE-2017-9988

The readEncUInt30 function in util/read.c in libming 0.4.8 mishandles memory allocation. A crafted input will lead to a remote denial of service (NULL pointer dereference) attack against parser.c.

https://github.com/libming/libming/issues/85

CVE-2017-9989

util/outputtxt.c in libming 0.4.8 mishandles memory allocation. A crafted input will lead to a remote denial of service (NULL pointer dereference) attack.

https://github.com/libming/libming/issues/86

Comment 1 Andrej Nemec 2017-07-12 13:37:13 UTC
Created ming tracking bugs for this issue:

Affects: fedora-all [bug 1470174]


Note You need to log in before you can comment on or make changes to this bug.